Subject: RE: [Sipping] Other concerns within sos ID

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Thu, 12 Feb 2004 17:45:45 -0000

Not sure we want, or need, to go there.

We are meant to be defining the interface at the SIP level, and whether the buttons are little blue square ones or big red round ones does not make a lot of difference to that.

There are around 1 billion GSM phones out there, all of which are designed to do as much as possible to identify emergency calls in the terminal and make a dedicated emergency call. They all have the capability of implementing options of recognising that from dialled keys, menu buttons or special keys - but the user interface functionality is all not specified, and works perfectly well without being specified.

regards

Keith

> -----Original Message-----
> From: Tom Taylor [mailto:[email-masked]]
> Sent: 11 February 2004 20:58
> To: Michael Hammer
> Cc: [email-masked]; [email-masked]; [email-masked]; 
> [email-masked]
> Subject: Re: [Sipping] Other concerns within sos ID
> 
> 
> The human factors aspect of this stuff has traditionally been 
> the domain of the 
> ITU-T.  I have a feeling they should be brought into the 
> discussion.  I would have 
> to check, but the relevant experts used to be located in 
> Study Group 2.
> 
> Michael Hammer wrote:
> 
> > One additional question that was touched on in this email:
> > 
> > If an sos URI contains a domain name, I presume that a proxy will 
> > forward the request based on that domain name and never look at the 
> > local part containing the "sos.xxx".  Is that correct?
> > 
> > If so, does that mean that the proxy in that domain is 
> expected to look 
> > at the location information and forward to the appropriate 
> ECC proxy?
> > 
> > As for internationalization, that could get out of hand.  
> Was the intent 
> > that these URIs are machine readable only?  I suspect that some 
> > internationally recognized icons on the user agents that 
> translate into 
> > these URIs will be needed.  But, that could be tricky as well:
> > 
> > sos.fire     picture of flames
> > sos.rescue   picture of Red Cross/Crescent?
> > sos.police   picture of badge/police belt?
> > sos.marine   picture of boat + cross/crescent?
> > sos.mountain picture of mountain + cross/crescent?
> > 
> > But those icons are phone implementation details.
> > 
> > Mike
> > 
> > 
> > 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP